// vim: set ts=8 sts=2 et sw=2 tw=99:
// Style definitions for name effects.

@mixin name-color($color) {
  color: $color;
  text-decoration-color: $color;
}

.pink {
  @include name-color(#FF69B4);
}

.lightpink {
  @include name-color(#FFB6C1);
}

.purple {
  @include name-color(#AE76FF);
}

.green {
  @include name-color(#51DA27);
}

.lightblue {
  @include name-color(#43D1FF);
}

.royalblue {
  @include name-color(#507CFF);
}

.red {
  @include name-color(#FB3640);
}

.orange {
  @include name-color(#FFA200);
}

.yellow {
  @include name-color(#FFFC00);
}

.gold {
  @include name-color(#FFD700);
}

.rainbow {
  color: transparent;
  -webkit-background-clip: text;  // iPhones actually need this.
  background-clip: text;
  text-decoration-color: #FF80AB;

  // Rainbow with light colors, to be readable against a dark background.
  background-image: linear-gradient(to right, #FB3640, #f2f, #43D1FF, #2ff, #2f2, #ff2, #FB3640);
}

.america {
  color: transparent;
  -webkit-background-clip: text;  // iPhones actually need this.
  background-clip: text;
  text-decoration-color: $default-color;

  // Red, white, and blue.
  background-image: linear-gradient(to right, #FB3640, #EDF2F4, #43D1FF);
}

.finland {
  color: transparent;
  -webkit-background-clip: text;  // iPhones actually need this.
  background-clip: text;
  text-decoration-color: #507CFF;

  // White, blue, and white.
  background-image: linear-gradient(to right, #507CFF, #EDF2F4);
}

.teal-shadow {
  // Sharp offset shadow in teal.
  // 1px blur is more readable than 0px blur at small sizes.
  text-shadow: 1px 1px 1px #01ECE3;
}

.italic {
  font-style: italic;
}

.bold {
  font-weight: bold;
}

.helvetica {
  font-family: "Helvetica";
}

.small-caps {
  font-variant: small-caps;
}

.letter-spacing-2 {
  letter-spacing: 2px;
}
